Package com.ads.api.beans.common

# Enum Class Node.Depth

java.lang.Object
java.lang.Enum<Node.Depth>
com.ads.api.beans.common.Node.Depth

All Implemented Interfaces:
  `Serializable`, `Comparable<Node.Depth>`, `Constable`

Enclosing class:
  Node

public static enum Node.Depth extends Enum<Node.Depth>
These constants are used to specify the Depth such as NAMES, NAMES_IDS, DETAILS, DETAILS_DOCUMENTS, DETAILS_PROJECT_RESOURCES, ALL. The constants of this enumerated type provides a simple classification of the declared elements.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  ALL is used when the Depth we want to retrieve is the names of the projects,projectIds, projectDetails, projectDocuments Details and projectResources Details.
  `DETAILS`
  DETAILS is used when the Depth we want to retrieve is the names of the projects, projectIds along with the project details i.e
  ProjectDescription, costCenter, projectSponserFullName, projectBusinessSponserFullName, projectOwnerFullName and auditHistory Details.
  `DETAILS_DOCUMENTS`
  DETAILS_DOCUMENTS is used when the Depth we want to retrieve is the names of the projects,projectIds, projectDetails, along with projectDocuments Details
  i.e ProjectDocumentId, ProjectDocumentName, ProjectDocumentType, projectDocumentIntendedDescription, projectDocumentOwner, projectDocumentObject, projectDocumentOwner, projectDocumentStatus, projectDocumentsApprovalRequiredFlag, projectDocumentObjectLink.
  `DETAILS_PROJECT_RESOURCES`
  DETAILS_PROJECT_RESOURCES is used when the Depth we want to retrieve is the names of the projects,projectIds, projectDetails, along with projectResources Details
  i.e projectResourcesAssignedRole, projectResourcesAssignedRespnsibilities, projectResourcesUserId, projectResourcesRoleId.
  `NAMES`
  NAMES is used when the Depth we want to retrieve is only the names of the projects.
  `NAMES_IDS`
  NAMES_IDS is used when the Depth we want to retrieve is the names of the projects along with the projectIds.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Node.Depth`
  `getDepth(String value)`
  Returns the depth of the specified value.
  `static Node.Depth`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Node.Depth[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAMES

    public static final Node.Depth NAMES
    NAMES is used when the Depth we want to retrieve is only the names of the projects.

  - ### NAMES_IDS

    public static final Node.Depth NAMES_IDS
    NAMES_IDS is used when the Depth we want to retrieve is the names of the projects along with the projectIds.

  - ### DETAILS

    public static final Node.Depth DETAILS
    DETAILS is used when the Depth we want to retrieve is the names of the projects, projectIds along with the project details i.e
    ProjectDescription, costCenter, projectSponserFullName, projectBusinessSponserFullName, projectOwnerFullName and auditHistory Details.

  - ### DETAILS_DOCUMENTS

    public static final Node.Depth DETAILS_DOCUMENTS
    DETAILS_DOCUMENTS is used when the Depth we want to retrieve is the names of the projects,projectIds, projectDetails, along with projectDocuments Details
    i.e ProjectDocumentId, ProjectDocumentName, ProjectDocumentType, projectDocumentIntendedDescription, projectDocumentOwner, projectDocumentObject, projectDocumentOwner, projectDocumentStatus, projectDocumentsApprovalRequiredFlag, projectDocumentObjectLink.

  - ### DETAILS_PROJECT_RESOURCES

    public static final Node.Depth DETAILS_PROJECT_RESOURCES
    DETAILS_PROJECT_RESOURCES is used when the Depth we want to retrieve is the names of the projects,projectIds, projectDetails, along with projectResources Details
    i.e projectResourcesAssignedRole, projectResourcesAssignedRespnsibilities, projectResourcesUserId, projectResourcesRoleId.

  - ### ALL

    public static final Node.Depth ALL
    ALL is used when the Depth we want to retrieve is the names of the projects,projectIds, projectDetails, projectDocuments Details and projectResources Details.

- ## Method Details

  - ### values

    public static Node.Depth[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Node.Depth valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDepth

    public static Node.Depth getDepth(String value)
    Returns the depth of the specified value.
    Depth has values NAMES, NAMES_IDS, DETAILS, DETAILS_DOCUMENTS, DETAILS_PROJECT_RESOURCES, ALL.
    Parameters:
      `value` - String
    Returns:
      Depth Value